﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace RadCalSpecialDays
{
    public partial class Form1 : Form
    {
        List<DateTime> dates = new List<DateTime>();

        public Form1()
        {
            InitializeComponent();




            
        }

        private void PrepareSpecialDaysTempalte()
        {
            foreach (DateTime dr in dates)
            {
                RadLabel lbl = new RadLabel
                {
                    Text = dr.ToShortDateString(),
                    TextAlignment = ContentAlignment.MiddleCenter,
                    BackColor = Color.ForestGreen,
                    ForeColor = Color.DarkViolet
                };

                lbl.BringToFront();
                RadHostItem hostItem = new RadHostItem(lbl)
                {
                    BackColor = Color.ForestGreen,
                    ForeColor = Color.DarkViolet
                };

                hostItem.BringToFront();

                RadCalendarDay rcd = new RadCalendarDay(dr)
                {
                    TemplateItem = hostItem,
                    Date = dr,
                    ToolTip = "dsdsadas",

                };

                this.radCalendar1.SpecialDays.Add(rcd);
            }
        }

        private void btnUser1_Click(object sender, EventArgs e)
        {
            this.radCalendar1.SpecialDays.Clear();
            dates.Clear();

            dates.Add(new DateTime(2010, 03, 05));
            dates.Add(new DateTime(2010, 03, 08));
            dates.Add(new DateTime(2010, 03, 16));
            dates.Add(new DateTime(2010, 03, 23));

            PrepareSpecialDaysTempalte();
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            this.radCalendar1.SpecialDays.Clear();
            dates.Clear();

            dates.Add(new DateTime(2010, 03, 06));
            dates.Add(new DateTime(2010, 03, 09));
            dates.Add(new DateTime(2010, 03, 18));
            dates.Add(new DateTime(2010, 03, 25));

            PrepareSpecialDaysTempalte();
        }
    }
}
